petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPtAPSymbolic

Creates the (i,j) structure of the matrix product C = P^T * A * P

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPtAPSymbolic(Mat A,Mat P,PetscReal fill,Mat *C)

Neighbor-wise Collective on Mat Many br

### Input Parameters

| A | - the matrix Many br
| P | - the projection matrix Many br

### Output Parameters

C -the (i,j) structure of the product matrix Many br

### Notes

C will be created and must be destroyed by the user with MatDestroy(). Many br

This routine is currently only implemented for pairs of SeqAIJ matrices and classes Many brwhich inherit from SeqAIJ. C will be of type MATSEQAIJ. The product is computed using Many brthis (i,j) structure by calling MatPtAPNumeric(). Many br

Many br

### See Also

MatPtAP(), MatPtAPNumeric(), MatMatMultSymbolic()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages